Skip to main content
GET
Get provider by ID or slug

Authorizations

Authorization
string
header
required

OAuth2 Authorization Code flow

Path Parameters

idOrSlug
string
required

Provider ID or slug

Response

200 - application/json
object
string
required

Object type

Example:

"page"

id
string
required

Unique identifier

Example:

"p_abc123"

createdAt
string<date-time>
required

Creation timestamp

Example:

"2024-01-15T10:30:00.000Z"

updatedAt
string<date-time>
required

Last update timestamp

Example:

"2024-01-15T14:45:00.000Z"

name
string
required

Provider name

Example:

"BigDataCorp"

description
string | null
required

Provider description

logo
string | null
required

Provider logo URL

slug
string
required

URL-friendly slug

Example:

"bigdatacorp"

requestEnvelope
string | null
required
responseEnvelope
string | null
required
statusCheck
string | null
required

JSONata healthcheck expression evaluated against the raw provider response. Must return { ok, code, message }. When ok=false the dataset_query is marked status=error and HTTP responds non-200.

createdBy
Created by · object

Principal who created this object

Example:
updatedBy
Updated by · object

Principal who last updated this object

Example: